### A free/open-source library for quantitative finance

Public Member Functions
AnalyticEuropeanEngine Class Reference
Vanilla option engines

Pricing engine for European vanilla options using analytical formulae. More...

`#include <ql/pricingengines/vanilla/analyticeuropeanengine.hpp>`

Inherits engine.

List of all members.

## Public Member Functions

| AnalyticEuropeanEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &)
void | calculate () const

## Detailed Description

Pricing engine for European vanilla options using analytical formulae.

Tests:
  - the correctness of the returned value is tested by reproducing results available in literature.
  - the correctness of the returned greeks is tested by reproducing results available in literature.
  - the correctness of the returned greeks is tested by reproducing numerical derivatives.
  - the correctness of the returned implied volatility is tested by using it for reproducing the target value.
  - the implied-volatility calculation is tested by checking that it does not modify the option.
  - the correctness of the returned value in case of cash-or-nothing digital payoff is tested by reproducing results available in literature.
  - the correctness of the returned value in case of asset-or-nothing digital payoff is tested by reproducing results available in literature.
  - the correctness of the returned value in case of gap digital payoff is tested by reproducing results available in literature.
  - the correctness of the returned greeks in case of cash-or-nothing digital payoff is tested by reproducing numerical derivatives.

Examples:
  EquityOption.cpp, and Replication.cpp.